DEBPATCH(1)

NAME
debpatch - Applies a patch to recreate a debian package.

SYNOPSIS
debpatch [OPTION]... DELTA FROMFILE TOFILE
debpatch [OPTION]... DELTA / TOFILE
debpatch --info PATCH

DESCRIPTION
This program is designed to apply a patch (DELTA) to a Debian package (FROMFILE) and create the Debian package (TOFILE). If the Debian package (FROMFILE) was installed in the host system and the .deb file is not available, then the argument (FROMFILE) may be substituted by the keyword / : then debpatch will get the needed data from the host filesystem.

OPTIONS

--info PATCH
    Write info on PATCH

--no-md5
    do not verify MD5 info.

-v  verbose (can be added multiple times).

-d  print full traceback on Python errors; save useful info in temporary files in case that a delta fails.

-k  keep temporary files (use for debugging).

--format FORMAT
    format of recreated debs. FORMAT=deb is the usual, FORMAT=unzipped means that the data.tar part is not compressed, (and this may save some time)

-A --accept-unsigned
    accept unsigned deltas.

--gpg-home
    specify a different home for GnuPG, default for root is /etc/debdelta/gnupg while for other users is unset. See --homedir in gpg(1) for details.

EXAMPLES
See debdelta(1)

SECURITY
See debdelta(1)

EXIT STATUS
See debdelta(1)

REPORTING BUGS
Report bugs to <mennucc1@debian.org>.

AUTHORS
Debpatch was written and is copyright © 2006-09 Andrea Mennucci.
This man page was written by Jegou Pierre-yves <pierreyves.jeg@voila.fr>.

COPYING
This is free software. You may redistribute copies of it under the terms of the GNU Library General Public License <http://www.gnu.org/licenses/lgpl-2.0.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
debdelta-upgrade(1), debdelta(1), /usr/share/doc/debdelta/README.